package com.sundot.airport.exam.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sundot.airport.exam.common.model.BaseEntity;
import com.sundot.airport.exam.enums.QuesOptionTypeEnum;

import java.io.Serializable;

/**
 * <b>功能名：</b>QuesOpt<br>
 * <b>说明：</b> 题目选项表 <br>
 * <b>著作权：</b> Copyright (C) 2021 HUIFANEDU  CORPORATION<br>
 * <b>修改履历：
 *
 * @author 2021-06-18 liangxiao
 */
@TableName("edu_cs_ques_opt")
public class QuesOpt extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 业务主键
     */
    private String qoId;

    /**
     * 是否正确答案（0否1是）
     */
    private Boolean qoCorrect;

    /**
     * 选项类型
     * - TEXT文字；IMG图片;JSON
     */
    private QuesOptionTypeEnum qoOptionType;

    /**
     * 选项内容or图片资源id
     */
    private String qoOption;

    /**
     * 对应连线选项排序
     */
    private Integer qoConnSort;

    /**
     * 对应连线选项图片类型
     * - TEXT文字；IMG图片;JSON
     */
    private QuesOptionTypeEnum qoConnOptType;

    /**
     * 对应连线选项内容or图片资源id
     */
    private String qoConnOpt;

    /**
     * 题干表业务主键
     */
    private String quId;

    /**
     * 选项排序
     */
    private Integer sort;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getQoId() {
        return qoId;
    }

    public void setQoId(String qoId) {
        this.qoId = qoId;
    }

    public Boolean getQoCorrect() {
        return qoCorrect;
    }

    public void setQoCorrect(Boolean qoCorrect) {
        this.qoCorrect = qoCorrect;
    }

    public QuesOptionTypeEnum getQoOptionType() {
        return qoOptionType;
    }

    public void setQoOptionType(QuesOptionTypeEnum qoOptionType) {
        this.qoOptionType = qoOptionType;
    }

    public String getQoOption() {
        return qoOption;
    }

    public void setQoOption(String qoOption) {
        this.qoOption = qoOption;
    }

    public Integer getQoConnSort() {
        return qoConnSort;
    }

    public void setQoConnSort(Integer qoConnSort) {
        this.qoConnSort = qoConnSort;
    }

    public QuesOptionTypeEnum getQoConnOptType() {
        return qoConnOptType;
    }

    public void setQoConnOptType(QuesOptionTypeEnum qoConnOptType) {
        this.qoConnOptType = qoConnOptType;
    }

    public String getQoConnOpt() {
        return qoConnOpt;
    }

    public void setQoConnOpt(String qoConnOpt) {
        this.qoConnOpt = qoConnOpt;
    }

    public String getQuId() {
        return quId;
    }

    public void setQuId(String quId) {
        this.quId = quId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    @Override
    public String toString() {
        return "QuesOpt{" +
                "id=" + id +
                ", qoId=" + qoId +
                ", qoCorrect=" + qoCorrect +
                ", qoOptionType=" + qoOptionType +
                ", qoOption=" + qoOption +
                ", qoConnSort=" + qoConnSort +
                ", qoConnOptType=" + qoConnOptType +
                ", qoConnOpt=" + qoConnOpt +
                ", quId=" + quId +
                ", sort=" + sort +
                "}";
    }
}